@import "../utils/_variables";

.alert {
    padding: 1rem;
    border-radius: $border-radius-md;
    position: relative;
    transition: all .3s ease-in-out;

    &.open {
        display: block;
    }
    &.close {
        display: none;
    }

    &--error {
        background-color: rgba($color-danger, .2);
        // border-color: rgba($color-danger, .8);
        .message{
            color: rgba($color-danger, .8);
        }
    }

    i {
        position: absolute;
        top: 50%;
        transform: translateY(-50%);
        right: 1rem;
        font-size: 1.5rem;
        cursor: pointer;
        transition: all .3s ease-in-out;
        color: rgba($color-grey-light, .5);
        
        &:hover {
            color: $color-grey-light;
        }
    }
}